%bcond_without check

# https://github.com/minio/highwayhash
%global goipath         github.com/minio/highwayhash
Version:                1.0.2

%gometa

#global goname          nats-server

%global common_description %{expand:
Native Go version of HighwayHash with optimized assembly implementations on
Intel and ARM. Able to process over 10 GB/sec on a single core on Intel CPUs.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Native Go version of HighwayHash

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Group:          Development/Golang
BuildArch:      noarch

BuildRequires:  golang(golang.org/x/sys/cpu)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%gopkgfiles



%changelog
* Fri Jul 04 2025 umeabot <umeabot> 1.0.2-2.mga10
+ Revision: 2245972
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Sat May 21 2022 pterjan <pterjan> 1.0.2-1.mga9
+ Revision: 1859708
- imported package golang-github-minio-highwayhash

